/*****************************************************************************
 * Copyright (c) 1997 - 2021 by SR Research Ltd., All Rights Reserved        *
 *                                                                           *
 * This software is provided as is without warranty of any kind.  The entire *
 * risk as to the results and performance of this software is assumed by the *
 * user. SR Research Ltd. disclaims all warranties, either express or implied*
 * ,including but not limited, the implied warranties of merchantability,    *
 * fitness for a particular purpose, title and noninfringement, with respect *
 * to this software.                                                         *
 *                                                                           *
 *                                                                           *
 * For non-commercial use by Eyelink licencees only                          *
 *                                                                           *
 * Windows sample experiment in C                                            *
 * For use with Version 2.0 of EyeLink Windows API                           *
 *****************************************************************************/

#ifndef __SR_RESEARCH__CONTROL_H__
#define __SR_RESEARCH__CONTROL_H__

#ifdef __APPLE__
#include <eyelink_core_graphics/sdl_expt.h>
#else
#include <sdl_expt.h>
#endif

/* CONTROL REGION DEFINITION  */
typedef struct {
		int triggered;	/* is triggered */
		long avgxsum;	/* average position accumulators */
		long avgysum;
		long dwell;	/* total time in region */
		SDL_Rect rsense;	/* region for gaze */
		SDL_Rect rdraw;	/* rectangle for invert */
		int cx, cy;	/* center for drift correction */
		} REGION;

/* constant declaration */
#define NREGIONS  25            /* array of control regions */


/* function declaration */
SDL_Surface * draw_grid_to_bitmap_segment(char *filename, const char*path, int dotrack);
void init_regions(void);
void process_fixupdate(int x, int y, long dur);
int gaze_control_trial(UINT32 time_limit);
int realtime_data_trial(SDL_Surface * gbm, UINT32 time_limit);

/* global variables */
extern SDL_Surface *segment_source;
extern SDL_Color lettercolor[];
extern DISPLAYINFO dispinfo;  /* display information: size, colors, refresh rate*/
extern SDL_Surface *window;   /* SDL surface for drawing */
extern SDL_Color target_background_color;   /* SDL color for the background */
extern SDL_Color target_foreground_color;   /* SDL color for the foreground drawing (text, calibration target, etc)*/


int run_trials(void);   /* This code sequences trials within a block. */
void clear_full_screen_window(SDL_Color c);  /* Clear the window with a specific color */



#ifndef WIN32
#define _stricmp strcasecmp
#endif
#endif
